Skip to main content
POST
List payments

Authorizations

Authorization
string
header
required

Send your access token as header Authorization: Bearer {accessToken}

Authorization
string
header
required

Your API key that starts with sk_live or sk_test. You can create yours at go.bitgpt.xyz/api-keys.

Body

application/json

Request body for filtering payments

provider_id
(string | number)[]

Filter by payment provider IDs

invoice_id

Filter by invoice ID

status
enum<string>[]

Filter by payment status

Available options:
PENDING,
FAILED,
COMPLETED,
CANCELLED
currency
enum<string>[]

Filter by currency code

Available options:
BITCOIN,
ETHEREUM,
USDT,
USDC,
USDC_NATIVE,
SOLANA,
BINANCE_COIN,
RIPPLE,
POLYGON,
TRON,
LITECOIN,
BITCOIN_CASH,
DOGECOIN,
USD,
EUR,
CHF,
GBP,
AUD,
JPY,
CNY,
CAD,
HKD,
SGD,
SEK,
KRW,
NOK,
NZD,
INR,
MXN,
TWD,
ZAR,
BRL,
DKK,
PLN,
THB,
ILS,
IDR,
CZK,
AED,
TRY,
HUF,
CLP,
SAR,
PHP,
MYR,
COP,
RUB,
RON,
PEN
price_usd_from

Filter payments with USD amount greater than or equal to this value

price_usd_to

Filter payments with USD amount less than or equal to this value

created_at_from
string<mysql-date-time>

Filter payments created from this date

created_at_to
string<mysql-date-time>

Filter payments created until this date

expand
enum<string>[]

Array of fields to expand in the response

Available options:
provider
limit
integer

Maximum number of payments to return

offset
integer

Number of payments to skip for pagination

Response

Invoice list

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object
required

Response data containing the requested object

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:

"Some pertinent log message"

validator
object | null

Validator response object, each key is the field name and value is the error message

Example:
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"